Subject: bug#72723: [bug-diffutils] bug#72723: diff -d can be very slow

From: Paul Eggert <[email-masked]>
Date: Mon, 19 Aug 2024 17:17:27 -0700

On 2024-08-19 16:55, Vincent Lefevre wrote:
> When opening a .diff file, GNU Emacs runs "diff -ad" on 2 files
> it has built (I suppose that the reason is to get a word diff),
> and this can be very slow

That's inherent to the algorithm, no? I don't know of any faster 
algorithm, if you really want minimal output. If you know of one, please 
let us know.

A simple workaround would be for GNU Emacs to not use the -d (--minimal) 
option.